#
# spec file for package rubygem-devise
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-devise
Version:        4.9.3
Release:        1.3
%define mod_name devise
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{ruby >= 2.1.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/heartcombo/devise
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Flexible authentication solution for Rails with Warden
License:        MIT

%description
Flexible authentication solution for Rails with Warden.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md MIT-LICENSE README.md" \
  -f

%gem_packages

%changelog
* Tue Nov 14 2023 Dan Čermák <dan.cermak@posteo.net>
- 4.9.2:
  https://github.com/heartcombo/devise/blob/main/CHANGELOG.md#492---2023-04-03
  4.9.1:
  https://github.com/heartcombo/devise/blob/v4.9.1/CHANGELOG.md#491---2023-03-31
  4.9.0:
  https://github.com/heartcombo/devise/blob/v4.9.0/CHANGELOG.md#490---2023-02-17
* Tue Jan 25 2022 Stephan Kulow <coolo@suse.com>
  updated to version 4.8.1
  see installed CHANGELOG.md
* Thu Jun 24 2021 Stephan Kulow <coolo@suse.com>
  updated to version 4.8.0
  see installed CHANGELOG.md
  [#]## unreleased
  [#]## 4.8.0 - 2021-04-29
  * enhancements
  * Devise now enables the upgrade of OmniAuth 2+. Previously Devise would raise an error if you'd try to upgrade. Please note that OmniAuth 2 is considered a security upgrade and recommended to everyone. You can read more about the details (and possible necessary changes to your app as part of the upgrade) in [their release notes](https://github.com/omniauth/omniauth/releases/tag/v2.0.0). [Devise's OmniAuth Overview wiki](https://github.com/heartcombo/devise/wiki/OmniAuth:-Overview) was also updated to cover OmniAuth 2.0 requirements.
  - Note that the upgrade required Devise shared links that initiate the OmniAuth flow to be changed to `method: :post`, which is now a requirement for OmniAuth, part of the security improvement. If you have copied and customized the Devise shared links partial to your app, or if you have other links in your app that initiate the OmniAuth flow, they will have to be updated to use `method: :post`, or changed to use buttons (e.g. `button_to`) to work with OmniAuth 2. (if you're using links with `method: :post`, make sure your app has `rails-ujs` or `jquery-ujs` included in order for these links to work properly.)
  - As part of the OmniAuth 2.0 upgrade you might also need to add the [`omniauth-rails_csrf_protection`](https://github.com/cookpad/omniauth-rails_csrf_protection) gem to your app if you don't have it already. (and you don't want to roll your own code to verify requests.) Check the OmniAuth v2 release notes for more info.
  * Introduce `Lockable#reset_failed_attempts!` model method to reset failed attempts counter to 0 after the user signs in.
  - This logic existed inside the lockable warden hook and is triggered automatically after the user signs in. The new model method is an extraction to allow you to override it in the application to implement things like switching to a write database if you're using the new multi-DB infrastructure from Rails for example, similar to how it's already possible with `Trackable#update_tracked_fields!`.
  * Add support for Ruby 3.
  * Add support for Rails 6.1.
  * Move CI to GitHub Actions.
  * deprecations
  * `Devise::Models::Authenticatable::BLACKLIST_FOR_SERIALIZATION` is deprecated in favor of `Devise::Models::Authenticatable::UNSAFE_ATTRIBUTES_FOR_SERIALIZATION` (@hanachin)
* Fri Sep 25 2020 Stephan Kulow <coolo@suse.com>
  updated to version 4.7.3
  see installed CHANGELOG.md
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 4.7.1
  see installed CHANGELOG.md
  [#]## 4.7.1 - 2019-09-06
  * bug fixes
  * Fix an edge case where records with a blank `confirmation_token` could be confirmed (by @tegon)
  * Fix typo inside `update_needs_confirmation` i18n key (by @lslm)
  [#]## 4.7.0 - 2019-08-19
  * enhancements
  * Support Rails 6.0
  * Update CI to rails 6.0.0.beta3 (by @tunnes)
  * refactor method name to be more consistent (by @saiqulhaq)
  * Fix rails 6.0.rc1 email uniqueness validation deprecation warning (by @Vasfed)
  * bug fixes
  * Add `autocomplete="new-password"` to `password_confirmation` fields (by @ferrl)
  * Fix rails_51_and_up? method for Rails 6.rc1 (by @igorkasyanchuk)
* Fri Mar 29 2019 Stephan Kulow <coolo@suse.com>
- updated to version 4.6.2
  see installed CHANGELOG.md
  [#]## 4.6.2 - 2019-03-26
  * bug fixes
  * Revert "Set `encrypted_password` to `nil` when `password` is set to `nil`" since it broke backward compatibility with existing applications. See more on https://github.com/plataformatec/devise/issues/5033#issuecomment-476386275 (by @mracos)
* Sat Mar  2 2019 Stephan Kulow <coolo@suse.com>
- updated to version 4.6.1
  see installed CHANGELOG.md
  [#]## 4.6.1 - 2019-02-11
  * bug fixes
  * Check if `root_path` is defined with `#respond_to?` instead of `#present` (by @tegon)
  [#]## 4.6.0 - 2019-02-07
  * enhancements
  * Allow to skip email and password change notifications (by @iorme1)
  * Include the use of `nil` for `allow_unconfirmed_access_for` in the docs (by @joaumg)
  * Ignore useless files into the `.gem` file (by @huacnlee)
  * Explain the code that prevents enumeration attacks inside `Devise::Strategies::DatabaseAuthenticatable` (by @tegon)
  * Refactor the `devise_error_messages!` helper to render a partial (by @prograhamer)
  * Add an option (`Devise.sign_in_after_change_password`) to not automatically sign in a user after changing a password (by @knjko)
  * bug fixes
  * Fix missing comma in Simple Form generator (by @colinross)
  * Fix error with migration generator in Rails 6 (by @oystersauce8)
  * Set `encrypted_password` to `nil` when `password` is set to `nil` (by @sivagollapalli)
  * Consider whether the request supports flash messages inside `Devise::Controllers::Helpers#is_flashing_format?` (by @colinross)
  * Fix typo inside `Devise::Generators::ControllersGenerator` (by @kopylovvlad)
  * Sanitize parameters inside `Devise::Models::Authenticatable#find_or_initialize_with_errors` (by @rlue)
  * `#after_database_authentication` callback was not called after authentication on password reset (by @kanmaniselvan)
  * Fix corner case when `#confirmation_period_valid?` was called at the same second as `confirmation_sent_at` was set. Mostly true for date types that only have second precisions. (by @stanhu)
  * Fix unclosed `li` tag in `error_messages` partial (by @mracos)
  * Fix Routes issue when devise engine is mounted in another engine on Rails versions lower than 5.1 (by @a-barbieri)
  * Make `#increment_failed_attempts` concurrency safe (by @tegon)
  * Apply Test Helper fix to Rails 6.0 as well as 5.x (by @matthewrudy)
  * deprecations
  * The second argument of `DatabaseAuthenticatable`'s `#update_with_password` and `#update_without_password` is deprecated and will be removed in the next major version. It was added to support a feature deprecated in Rails 4, so you can safely remove it from your code. (by @ihatov08)
  * The `DeviseHelper.devise_error_messages!` is deprecated and will be removed in the next major version. Use the `devise/shared/error_messages` partial instead. (by @mracos)
* Wed Sep  5 2018 coolo@suse.com
- updated to version 4.5.0
  see installed CHANGELOG.md
  [#]## 4.5.0 - 2018-08-15
  * enhancements
  * Use `before_action` instead of `before_filter` (by @edenthecat)
  * Allow people to extend devise failure app, through invoking `ActiveSupport.run_load_hooks` once `Devise::FailureApp` is loaded (by @wnm)
  * Use `update` instead of `update_attributes` (by @koic)
  * Split IP resolution from `update_tracked_fields` (by @mckramer)
  * upgrade dependencies for rails and responders (by @lancecarlson)
  * Add `autocomplete="new-password"` to new password fields (by @gssbzn)
  * Add `autocomplete="current-password"` to current password fields (by @gssbzn)
  * Remove redundant `self` from `database_authenticatable` module (by @abhishekkanojia)
  * Update `simple_form` templates with changes from https://github.com/plataformatec/devise/commit/16b3d6d67c7e017d461ea17ed29ea9738dc77e83 and https://github.com/plataformatec/devise/commit/6260c29a867b9a656f1e1557abe347a523178fab (by @gssbzn)
  * Remove `:trackable` from the default modules in the generators, to be more GDPR-friendly (by @fakenine)
  * bug fixes
  * Use same string on failed login regardless of whether account exists when in paranoid mode (by @TonyMK9068)
  * Fix error when params is not a hash inside `Devise::ParameterSanitizer` (by @b0nn1e)
  * Look for `secret_key_base` inside `Rails.application` (by @gencer)
  * Ensure `Devise::ParameterFilter` does not add missing keys when called with a hash that has a `default` / `default_proc`
  configured (by @joshpencheon)
  * Adds `is_navigational_format?` check to `after_sign_up_path_for` to keep consistency (by @iorme1)
* Tue Mar 20 2018 factory-auto@kulow.org
- updated to version 4.4.3
  see installed CHANGELOG.md
  [#]## 4.4.3 - 2018-03-17
  * bug fixes
  * Fix undefined method `rails5?` for Devise::Test:Module (by @tegon)
  * Fix: secret key was being required to be set inside credentials on Rails 5.2 (by @tegon)
  [#]## 4.4.2 - 2018-03-15
  * enhancements
  * Support for :credentials on Rails v5.2.x. (by @gencer)
  * Improve documentation about the test suite. (by @tegon)
  * Test with Rails 5.2.rc1 on Travis. (by @jcoyne)
  * Allow test with Rails 6. (by @Fudoshiki)
  * Creating a new section for controller configuration on `devise.rb` template (by @Danilo-Araujo-Silva)
  * bug fixes
  * Preserve content_type for unauthenticated tests (by @gmcnaughton)
  * Check if the resource is persisted in `update_tracked_fields!` instead of performing validations (by @tegon)
  * Revert "Replace log_process_action to append_info_to_payload" (by @tegon)
* Thu Feb  8 2018 factory-auto@kulow.org
- updated to version 4.4.1
  see installed CHANGELOG.md
  [#]## 4.4.1 - 2018-01-23
  * bug fixes
  * Ensure Gemspec is loaded as utf-8. (by @segiddins)
  * Fix `ActiveRecord` check on `Confirmable`. (by @tegon)
  * Fix `signed_in?` docs without running auth hooks. by (@machty)
* Tue Jan 16 2018 msabate@suse.com
- Updated to version 4.4.0
  * enhancements
  * Add `frozen_string_literal` pragma comment to all Ruby files. (by @pat)
  * Use `set_flash_method!` instead of `set_flash_method` in `Devise::OmniauthCallbacksController#failure`. (by @saichander17)
  * Clarify how `store_location_for` modifies URIs. (by @olivierlacan)
  * Move `failed_attempts` increment into its own function. by (@mobilutz)
  * Add `autocomplete="email"` to email fields. by (@MikeRogers0)
  * Add the ability to change the default migrations path introduced in Rails 5.0.3.  (by @alexhifer)
  * Delete unnecessary condition for helper method. (by @davydovanton)
  * Support `id: :uuid` option for migrations. (by @filip373)
  * bug fixes
  * Fix syntax for MRI 2.5.0. (by @pat)
  * Validations were being ignored on singup in the `Trackable#update_tracked_fields!` method. (by @AshleyFoster)
  * Do not modify options for `#serializable_hash`. (by @guigs)
  * Email confirmations were being sent on sign in/sign out for application using `mongoid` and `mongoid-paperclip` gems. This is because previously we were checking if a model is from Active Record by checking if the method `after_commit` was defined - since `mongoid` doesn' have one - but `mongoid-paperclip` gem does define one, which cause this issue. (by @fjg)
* Tue Jan  9 2018 coolo@suse.com
- updated to version 4.4.0
  see installed CHANGELOG.md
  [#]## Unreleased
  [#]## 4.4.0 - 2017-12-29
  * enhancements
  * Add `frozen_string_literal` pragma comment to all Ruby files. (by @pat)
  * Use `set_flash_method!` instead of `set_flash_method` in `Devise::OmniauthCallbacksController#failure`. (by @saichander17)
  * Clarify how `store_location_for` modifies URIs. (by @olivierlacan)
  * Move `failed_attempts` increment into its own function. by (@mobilutz)
  * Add `autocomplete="email"` to email fields. by (@MikeRogers0)
  * Add the ability to change the default migrations path introduced in Rails 5.0.3.  (by @alexhifer)
  * Delete unnecessary condition for helper method. (by @davydovanton)
  * Support `id: :uuid` option for migrations. (by @filip373)
  * bug fixes
  * Fix syntax for MRI 2.5.0. (by @pat)
  * Validations were being ignored on singup in the `Trackable#update_tracked_fields!` method. (by @AshleyFoster)
  * Do not modify options for `#serializable_hash`. (by @guigs)
  * Email confirmations were being sent on sign in/sign out for application using `mongoid` and `mongoid-paperclip` gems. This is because previously we were checking if a model is from Active Record by checking if the method `after_commit` was defined - since `mongoid` doesn' have one - but `mongoid-paperclip` gem does define one, which cause this issue. (by @fjg)
* Tue May 23 2017 coolo@suse.com
- updated to version 4.3.0
  see installed CHANGELOG.md
  [#]## 4.3.0 - 2017-05-14
  * Enhancements
  * Dependency support added for Rails 5.1.x.
* Thu Mar 16 2017 coolo@suse.com
- updated to version 4.2.1
  see installed CHANGELOG.md
* Sat Jul  2 2016 coolo@suse.com
- updated to version 4.2.0
  see installed CHANGELOG.md
  [#]## Unreleased
  [#]## 4.2.0 - 2016-07-01
  * removals
  * Remove the deprecated `Devise::ParameterSanitizer` API from Devise 3.
    Please use the `#permit` and `#sanitize` methods over `#for`.
  * Remove the deprecated OmniAuth URL helpers. Use the fully qualified helpers
    (`user_facebook_omniauth_authorize_path`) over the scope based helpers
    ( `user_omniauth_authorize_path(:facebook)`).
  * Remove the `Devise.bcrypt` method, use `Devise::Encryptor.digest` instead.
  * Remove the `Devise::Models::Confirmable#confirm!` method, use `confirm` instead.
  * Remove the `Devise::Models::Recoverable#reset_password!` method, use `reset_password` instead.
  * Remove the `Devise::Models::Recoverable#after_password_reset` method.
  * bug fixes
  * Fix an `ActionDispatch::IllegalStateError` when testing controllers with Rails 5 rc 2(by @hamadata).
  * Use `ActiveSupport.on_load` hooks to include Devise on `ActiveRecord` and `Mongoid`,
    avoiding autoloading these constants too soon (by @lucasmazza, @rafaelfranca).
  * enhancements
  * Display the minimum password length on `registrations/edit` view (by @Yanchek99).
  * You can disable Devise's routes reloading on boot by through the `reload_routes = false` config.
    This can reduce the time taken to boot the application but it might trigger
    some errors if you application (mostly your controllers) requires that
    Devise mappings be loaded during boot time (by @sidonath).
  * Added `Devise::Test::IntegrationHelpers` to bypass the sign in process using
    Warden test API (by @lucasmazza).
  * Define `inspect` in `Devise::Models::Authenticatable` to help ensure password hashes
    aren't included in exceptions or otherwise accidentally serialized (by @tkrajcar).
  * Add missing support of `Rails.application.config.action_controller.relative_url_root` (by @kosdiamantis).
  * deprecations
  * `Devise::TestHelpers` is deprecated in favor of `Devise::Test::ControllerHelpers`
    (by @lucasmazza).
  * The `sign_in` test helper has changed to use keyword arguments when passing
    a scope. `sign_in :admin, users(:alice)` should be rewritten as
    `sign_in users(:alice), scope: :admin` (by @lucasmazza).
  * The option `bypass` of `Devise::Controllers::SignInOut#sign_in` method is
    deprecated in favor of `Devise::Controllers::SignInOut#bypass_sign_in`
    method (by @ulissesalmeida).
* Sat May 21 2016 coolo@suse.com
- updated to version 4.1.1
  see installed CHANGELOG.md
* Tue Apr 19 2016 coolo@suse.com
- updated to version 4.0.0
  see installed CHANGELOG.md
* Tue Feb  2 2016 coolo@suse.com
- updated to version 3.5.6
  see installed CHANGELOG.md
  [#]## 3.5.6 - 2016-01-02
  * bug fixes
  * Fix type coercion of the rememberable timestamp stored on cookies.
* Mon Jan 25 2016 coolo@suse.com
- updated to version 3.5.5
  see installed CHANGELOG.md
  [#]## 3.5.5 - 2016-22-01
  * bug fixes
  * Bring back remember_expired? implementation
  * Ensure timeouts are not triggered if remember me is being used
* Thu Jan 21 2016 coolo@suse.com
- updated to version 3.5.4
  see installed CHANGELOG.md
* Sat Dec 12 2015 coolo@suse.com
- updated to version 3.5.3
  see installed CHANGELOG.md
  [#]## Unreleased
  [#]## 3.5.3 - 2015-12-10
  * bug fixes
  * Fix password reset for records where `confirmation_required?` is disabled and
    `confirmation_sent_at` is nil. (by @andygeers)
  * Allow resources with no `email` field to be recoverable (and do not clear the
    reset password token if the model was already persisted). (by @seddy, @stanhu)
  * enhancements
  * Upon setting `Devise.send_password_change_notification = true` a user will receive notification when their password has been changed.
* Tue Aug 11 2015 coolo@suse.com
- updated to version 3.5.2
  see installed CHANGELOG.md
  [#]## 3.5.2 - 2015-08-10
  * enhancements
  * Perform case insensitive basic authorization matching
  * Big fixes
  * Do not use digests for password confirmation token
  * Fix infinite redirect in Rails 4.2 authenticated routes
  * Autoload Devise::Encryptor to avoid errors on thread-safe mode
* Thu May 28 2015 coolo@suse.com
- updated to version 3.5.1
  see installed CHANGELOG.md
* Tue Feb 10 2015 coolo@suse.com
- updated to version 3.4.1
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Tue Mar 18 2014 coolo@suse.com
- updated to version 3.2.4
  * enchancements
  * `bcrypt` dependency updated due https://github.com/codahale/bcrypt-ruby/pull/86.
  * View generator now can generate specific views with the `-v` flag, like `rails g devise:views -v sessions` (by @kayline)
* Sat Feb 22 2014 coolo@suse.com
- updated to version 3.2.3
  * enhancements
  * Devise will use the `secret_key_base` on Rails 4+ applications as its `secret_key`.
    You can change this and use your own secret by changing the `devise.rb` initializer.
  * bug fix
  * Migrations will be properly generated when using rails 4.1.0.
* Tue Nov 26 2013 coolo@suse.com
- updated to version 3.2.2
  * bug fix
  * Ensure timeoutable works when `sign_out_all_scopes` is false (by @louman)
  * Keep the query string when storing location (by @csexton)
  * Require rails generator base class in devise generators
* Fri Nov 22 2013 coolo@suse.com
- updated to version 3.2.1
  Security announcement: http://blog.plataformatec.com.br/2013/11/e-mail-enumeration-in-devise-in-paranoid-mode
  * enhancements
  * Add `store_location_for` helper and ensure it is safe (by @matthewrudy and @homakov)
  * Add `yield` around resource methods in Devise controllers (by @edelpero)
  * bug fix
  * Bring `password_digest` back to fix compatibility with `devise-encryptable`
  * Avoid e-mail enumeration on sign in when in paranoid mode
  [#]## 3.2.0
  * enhancements
  * Previously deprecated token authenticatable and insecure lookups have been removed
  * Add a class method so you can encrypt passwords from fixtures (by @tenderlove)
  * Send custom message when user enters invalid password and it has only one attempt
  to enter correct password before his account will be locked (by @Lightpower)
  * Prevent mutation of values assigned to case and whitespace santitized members (by @iamvery)
  * Separate redirects and flash messages in `navigational_formats` and `flashing_formats` (by @ssendev)
  * bug fix
  * A GET to sign_in page shouldn't extend the session (by @drewish)
  * Splat the arguments to `strong_parameters#permit` to work around a limitation in the `strong_parameters` gem (by @memberful)
  * Omniauth now uses `mapping.fullpath` when generating routes. This means if you call `devise_for :users` inside a scope, like `scope "/api"`, the scope will now apply to the omniauth route (by @AlexanderZaytsev)
  * Ensure timeoutable hook respects `Devise.sign_out_all_scopes` configuration
  * deprecations
  * `expire_session_data_after_sign_in!` has been deprecated in favor of `expire_data_after_sign_in!`
* Fri Oct  4 2013 coolo@suse.com
- updated to version 3.1.1
  * bug fix
  * Improve default message which asked users to sign in even when they were already signed (by @gregates)
  * Improve error message for when the `config.secret_key` is missing
* Sat Sep  7 2013 coolo@suse.com
- updated to version 3.1.0
  Security announcement: http://blog.plataformatec.com.br/2013/08/devise-3-1-now-with-more-secure-defaults/
  * backwards incompatible changes
  * Do not store confirmation, unlock and reset password tokens directly in the database. This means tokens previously stored in the database are no longer valid. You can reenable this temporarily by setting `config.allow_insecure_tokens_lookup = true` in your configuration file. It is recommended to keep this configuration set to true just temporarily in your production servers only to aid migration
  * The Devise mailer and its views were changed to explicitly receive a token argument as `@token`. You will need to update your mailers and re-copy the views to your application with `rails g devise:views`
  * Sanitization of parameters should be done by calling `devise_parameter_sanitizer.sanitize(:action)` instead of `devise_parameter_sanitizer.for(:action)`
  * deprecations
  * Token authentication is deprecated
  * enhancements
  * Better security defaults
  * Allow easier customization of parameter sanitizer (by @alexpeattie)
  * bug fix
  * Do not confirm e-mail after password reset (by @moll)
  * Do not sign in after confirmation
  * Do not store confirmation, unlock and reset password tokens directly in the database
  * Do not compare directly against confirmation, unlock and reset password tokens
  * Skip storage for cookies on unverified requests
* Mon Aug 26 2013 coolo@suse.com
- updated to version 3.0.3
  == 3.0.3
  * bug fix
  * Do not confirm account after reset password
  == 3.0.2
  * bug fix
  * Skip storage for cookies on unverified requests
  == 3.0.1
  Security announcement: http://blog.plataformatec.com.br/2013/08/csrf-token-fixation-attacks-in-devise/
* Tue Aug  6 2013 coolo@suse.com
- updated to version 3.0.1
  * enhancements
  * Add after_confirmation callback
  * bug fix
  * When using rails 3.2, the generator adds 'attr_accessible' to the model (by @jcoyne)
  * Clean up CSRF token after authentication (by @homakov). Notice this change will clean up the CSRF Token after authentication
    (sign in, sign up, etc). So if you are using AJAX for such features, you will need to fetch a new CSRF token from the server.
* Sun Jul 21 2013 coolo@suse.com
- updated to version 3.0.0
  * enhancements
  * Rails 4 and Strong Parameters compatibility (by @carlosantoniodasilva, @josevalim, @latortuga, @lucasmazza, @nashby, @rafaelfranca, @spastorino)
  * Drop support for Rails < 3.2 and Ruby < 1.9.3
  * Enable to skip sending reconfirmation email when reconfirmable is on and skip_confirmation_notification! is invoked (by @tkhr)
  * bug fix
  * Errors on unlock are now properly reflected on the first `unlock_keys`
* Wed May  8 2013 coolo@suse.com
- updated to version 2.2.4
  * enhancements
  * Add `destroy_with_password` to `DatabaseAuthenticatable`. Allows destroying a record when `:current_password` matches, similarly to how `update_with_password` works. (by @mich
  iel3)
  * Allow to override path after password resetting (by @worker8)
  * Add `#skip_confirmation_notification!` method to `Confirmable`. Allows skipping confirmation email without auto-confirming. (by @gregates)
  * allow_unconfirmed_access_for config from `:confirmable` module can be set to `nil` that means unconfirmed access for unlimited time. (by @nashby)
  * Support Rails' token strategy on authentication (by @robhurring)
  * Support explicitly setting the http authentication key via `config.http_authentication_key` (by @neo)
  * bug fix
  * Do not redirect when accessing devise API via JSON. (by @sebastianwr)
  * Generating scoped devise views now uses the correct scoped shared links partial instead of the default devise one (by @nashby)
  * Fix inheriting mailer templates from `Devise::Mailer`
  * Fix a bug when procs are used as default mailer in Devise (by @tomasv)
* Thu Feb  7 2013 lslezak@suse.cz
- updated to version 2.2.3
  * fixed security issue (wrong records may be read when sending
    specifically crafted requests) (bnc#800955)
* Thu Jan 24 2013 coolo@suse.com
- updated to version 2.2.2
  * bug fix
  * Fix bug when checking for reconfirmable in templates
  * bug fix
  * Fix regression with case_insensitive_keys
  * Fix regression when password is blank when it is invalid
* Fri Aug 31 2012 coolo@suse.com
- update to 2.1.2, see CHANGELOG.md
* Thu May 31 2012 lslezak@suse.cz
- updated to 1.5.3
* Fri Jun 11 2010 mrueckert@suse.de
- update to version 1.0.7
  * Ensure password confirmation is always required
  * authenticatable was deprecated and renamed to
    database_authenticatable
  * confirmable is not included by default on generation
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Mon Apr 12 2010 mrueckert@suse.de
- initial package
